@import '@angular/material/theming';

@include mat-core();

$app-dark-primary: mat-palette($mat-teal, 500);
$app-dark-accent: mat-palette($mat-teal, 100);
$app-dark-warn: mat-palette($mat-red);

$app-dark-theme: mat-dark-theme($app-dark-primary, $app-dark-accent, $app-dark-warn);

$app-light-primary: mat-palette($mat-indigo);
$app-light-accent: mat-palette($mat-teal, 100);
$app-light-warn: mat-palette($mat-red);
$app-light-theme: mat-light-theme($app-light-primary, $app-light-accent, $app-light-warn);

@include angular-material-theme($app-light-theme);

.dark-theme {
  @include angular-material-theme($app-dark-theme);
}

.dialog-wrapper {
  max-height: 88vh !important;
  overflow-y: auto;
}

@mixin shadow {
  box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
}

.card {
  display: block;
  position: relative;
  border-radius: 4px;
  background: white;
  color: rgba(0, 0, 0, 0.87);
  @include shadow;
}

.shadow {
  @include shadow;
}

.station-closed {
  background: #bababa;
}

.card-header {
  width: 100%;
  min-height: 42px;
  border-radius: 4px 4px 0px 0px;
  font-weight: 200;
  padding: 8px;
  background: rgba(68, 57, 68, 0.05);
}

.station-name {
  cursor: help;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.station-distance {
  cursor: help;
}

.smallcaption {
  color: #999;
}

.card-header-divider {
  height: 2px;
  width: 100%;
}

.card-body {
  padding: 8px;
}

.card-footer {
  padding: 0 8px;
}

.price-subbed {
  font-size: 11px;
}

.search-shrinked > div > div > .search-input-wrapper {
  border-radius: 0px !important;
  padding: 0px 2px 0px 16px !important;
}

@media (max-width: 800px) {
  .full-dialog-lt-md {
    width: 95vw !important;
  }
}

.mat-toolbar-single-row {
  padding: 0 8px !important;
}

.search-input-wrapper {
  button {
    .mat-button-wrapper .mat-icon {
      color: rgba(255, 255, 255, 0.4);
      font-size: 18px;
      height: 18px;
      width: 18px;
    }
  }
}

@media (max-width: 960px) {
  td.mat-cell:last-of-type,
  th.mat-header-cell:last-of-type {
    padding-right: 8px !important;
  }

  td.mat-cell:first-of-type,
  th.mat-header-cell:first-of-type {
    padding-left: 8px !important;
  }
}

.mat-cell {
  font-size: 12px;
}

@supports (-moz-appearance: none) {
  table.mat-table {
    width: 100%;
  }
}

.avatar-button .mat-button-wrapper {
  padding: 0;
  background-color: #443944;
}

.user-menu {
  width: 350px;
  padding: 8px;
}
